// 登录校验接口
import httputils from '@/api/httputils'
const testApi = '/serve/topology-wanda';
const dataApi = '/data';
// const testApi = '/serve'
//获取图例分类结构
export function queryByGroup(params) {
    return httputils.getJson(`${testApi}/graphCategory/queryByGroup`, params)
}

//查询专业分类下的图例信息并分组
export function queryGroup(postParams) {
    return httputils.postJson(`${testApi}/graphRelation/queryGroup`, postParams)
}
//保存系统图
export function saveGroup(postParams) {
    return httputils.postJson(`${testApi}/graph/save`, postParams)
}

//查询系统图展示所需数据
export function readGroup(postParams) {
    return httputils.fetchJson(`${testApi}/graph/read`, postParams)
}
//上传图片
export function uploadImg({
    postParams
}) {
    return httputils.postJson(`${testApi}/Picture/create`, postParams)
}
//查询图元素类型信息
export function getGraphElementType(params){
    return httputils.postJson(`${testApi}/graphElement/type/query`, params)
}
// 设备设施-主要设备清单-详情
export function queryGlsmsasset(data,params){
    return httputils.postJson(`${dataApi}/data/glsms_asset/query?plazaId=${data.plazaId}&page=${data.page}&size=${data.size}&type=${data.type}`, params)
}
// 查询楼层清单
export function getPlazaFloor(data,params){
    return httputils.postJson(`${dataApi}/plaza/floor?plazaId=${data.plazaId}`, params)
}
// 查询专业系统
export function getQuerySmsxt(params){
    return httputils.postJson(`${dataApi}/data/v_glsms_systemcfg/querySmsxt`, params)
}
// 查询工程信息化tree数据
export function getQuerySmsxtBy(data,params){
    return httputils.postJson(`${dataApi}/data/t_system_wzfl/queryBySmsxt?smsxt=${data.smsxt}`, params)
}